Bug 1396974 - VM orchestration should provide better error reporting and logging
Summary: VM orchestration should provide better error reporting and logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.2.1
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 10:10 UTC by Mihir Lele
Modified: 2019-10-07 17:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)
A patch for adding more logging around issues with compute resource (530 bytes, patch)
2016-11-21 10:25 UTC, Ivan Necas
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:28 UTC
Foreman Issue Tracker 24186 None None None 2018-07-30 18:26:02 UTC

Comment 1 Ivan Necas 2016-11-21 10:25:41 UTC
Created attachment 1222355 [details]
A patch for adding more logging around issues with compute resource

cd /usr/share/foreman
git init; git add -A .; git commit -m original
patch -p1 < ~/vsphere-log-compute.patch
service httpd restart

Comment 8 Chris Roberts 2018-07-30 18:26:02 UTC
Fixed in:

https://github.com/theforeman/foreman/pull/5782

Comment 12 Sanket Jagtap 2019-04-30 12:02:56 UTC
Build : Satellite 6.5 snap 26


There is really no way to know the exact missing permissions, So I tried removing couple of them to reproduce the issue, but was unable to.

Though even after testing with couple of missing permissions, the errors were graceful. 

I am verifying the bug as I see the patch has been cherry-picked into current snap and no issues with the multiple permissions

Comment 15 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.